Delete inventory import file config - Fabric
Delete inventory import file config
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/inventory-import-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/inventory-import-configs/{id}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/inventory-import-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Responses
Success:
{
"message": "OK"
}
Error Responses:
{
"errors": [
{ "message": "Invalid request", "type": "CLIENT_ERROR" }
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
{
"message": "Inventory import file config not found for file prefix",
"type": "CLIENT_ERROR"
}
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
- Authorization: required, string (Bearer authentication header of the form
Bearer <token>)
Headers
- x-fabric-tenant-id: required, string (identifies the tenant making the request)
- x-fabric-request-id: optional, string (Unique request ID)
- x-fabric-channel-id: optional, string (identifies the sales channel)
Path Parameters
- id: required, string (File prefix)
Response Format
- 200: application/json